@echo off
call ..\DefineVersions.bat
call ..\NET1.bat

cd XtraBars
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraBars.%VER_DLL%.Resources.dll /v:%VER_BARS% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraBars.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraEditors
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraEditors.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraEditors.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraGrid
%resgen% LocalizationRes.pt.resx
%resgen% CardViewPrinting.pt.resx
%resgen% GridViewPrinting.pt.resx
%al% /out:..\pt\DevExpress.XtraGrid.%VER_DLL%.Resources.dll /v:%VER_GRID% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraGrid.LocalizationRes.pt.resources /embed:CardViewPrinting.pt.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.pt.resources /embed:GridViewPrinting.pt.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraNavBar
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraNavBar.%VER_DLL%.Resources.dll /v:%VER_NAVBAR% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraNavBar.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPivotGrid
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraPivotGrid.%VER_DLL%.Resources.dll /v:%VER_PIVOT% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraPivotGrid.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraPrinting
%resgen% LocalizationRes.pt.resx
rem %resgen% HeaderFooterForm.pt.resx
rem %resgen% WatermarkEditorForm.pt.resx
rem %al% /out:..\pt\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:pt /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources /embed:HeaderFooterForm.pt.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.pt.resources /embed:WatermarkEditorForm.pt.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.pt.resources /keyfile:%KEYFILE%
%al% /out:..\pt\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:pt /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraReports
%resgen% LocalizationRes.pt.resx
rem %resgen% SearchDialog.pt.resx
%resgen% WizPageChooseFields.pt.resx
rem %resgen% WizPageGroupedLayout.pt.resx
%resgen% WizPageGrouping.pt.resx
%resgen% WizPageLabelOptions.pt.resx
%resgen% WizPageLabelType.pt.resx
%resgen% WizPageLayoutBase.pt.resx
%resgen% WizPageReportTitle.pt.resx
%resgen% WizPageStyle.pt.resx
%resgen% WizPageSummary.pt.resx
rem %resgen% WizPageUngroupedLayout.pt.resx
%resgen% WizPageWelcome.pt.resx
%resgen% XtraReportWizardForm.pt.resx
rem %al% /out:..\pt\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:pt /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources  /embed:WizPageChooseFields.pt.resources,DevExpress.XtraReports.Design.WizPageChooseFields.pt.resources /embed:WizPageGrouping.pt.resources,DevExpress.XtraReports.Design.WizPageGrouping.pt.resources /embed:WizPageLabelOptions.pt.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.pt.resources /embed:WizPageLabelType.pt.resources,DevExpress.XtraReports.Design.WizPageLabelType.pt.resources /embed:WizPageLayoutBase.pt.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.pt.resources /embed:WizPageReportTitle.pt.resources,DevExpress.XtraReports.Design.WizPageReportTitle.pt.resources /embed:WizPageStyle.pt.resources,DevExpress.XtraReports.Design.WizPageStyle.pt.resources /embed:WizPageSummary.pt.resources,DevExpress.XtraReports.Design.WizPageSummary.pt.resources /embed:WizPageWelcome.pt.resources,DevExpress.XtraReports.Design.WizPageWelcome.pt.resources /embed:XtraReportWizardForm.pt.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.pt.resources /embed:SearchDialog.pt.resources,DevExpress.XtraReports.Native.SearchDialog.pt.resources /keyfile:%KEYFILE%
%al% /out:..\pt\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:pt /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources  /embed:WizPageChooseFields.pt.resources,DevExpress.XtraReports.Design.WizPageChooseFields.pt.resources /embed:WizPageGrouping.pt.resources,DevExpress.XtraReports.Design.WizPageGrouping.pt.resources /embed:WizPageLabelOptions.pt.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.pt.resources /embed:WizPageLabelType.pt.resources,DevExpress.XtraReports.Design.WizPageLabelType.pt.resources /embed:WizPageLayoutBase.pt.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.pt.resources /embed:WizPageReportTitle.pt.resources,DevExpress.XtraReports.Design.WizPageReportTitle.pt.resources /embed:WizPageStyle.pt.resources,DevExpress.XtraReports.Design.WizPageStyle.pt.resources /embed:WizPageSummary.pt.resources,DevExpress.XtraReports.Design.WizPageSummary.pt.resources /embed:WizPageWelcome.pt.resources,DevExpress.XtraReports.Design.WizPageWelcome.pt.resources /embed:XtraReportWizardForm.pt.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraScheduler
%resgen% LocalizationRes.pt.resx
%resgen% Design\DailyRecurrenceControl.pt.resx DailyRecurrenceControl.pt.resources
%resgen% Design\MonthlyRecurrenceControl.pt.resx MonthlyRecurrenceControl.pt.resources
%resgen% Design\PageSetupFormatTabControl.pt.resx PageSetupFormatTabControl.pt.resources
%resgen% Design\PageSetupPaperTabControl.pt.resx PageSetupPaperTabControl.pt.resources
%resgen% Design\PrintRangeControl.pt.resx PrintRangeControl.pt.resources
%resgen% Design\TimeZonePropertiesControl.pt.resx TimeZonePropertiesControl.pt.resources
%resgen% Design\WeeklyRecurrenceControl.pt.resx WeeklyRecurrenceControl.pt.resources
%resgen% Design\YearlyRecurrenceControl.pt.resx YearlyRecurrenceControl.pt.resources
%resgen% Design\PrintStyleControls\CalendarDetailsPrintStyleOptionsControl.pt.resx CalendarDetailsPrintStyleOptionsControl.pt.resources
%resgen% Design\PrintStyleControls\DailyPrintStyleOptions.pt.resx DailyPrintStyleOptions.pt.resources
%resgen% Design\PrintStyleControls\MemoPrintStyleOptionsControl.pt.resx MemoPrintStyleOptionsControl.pt.resources
%resgen% Design\PrintStyleControls\MonthlyPrintStyleOptionsControl.pt.resx MonthlyPrintStyleOptionsControl.pt.resources
%resgen% Design\PrintStyleControls\picturePreviewControl.pt.resx picturePreviewControl.pt.resources
%resgen% Design\PrintStyleControls\PrintStyleOptionsControlBase.pt.resx PrintStyleOptionsControlBase.pt.resources
%resgen% Design\PrintStyleControls\TimeIntervalEditControl.pt.resx TimeIntervalEditControl.pt.resources
%resgen% Design\PrintStyleControls\TriFoldPrintStyleOptionsControl.pt.resx TriFoldPrintStyleOptionsControl.pt.resources
%resgen% Design\PrintStyleControls\WeeklyPrintStyleOptionsControl.pt.resx WeeklyPrintStyleOptionsControl.pt.resources
%resgen% Forms\AppointmentForm.pt.resx AppointmentForm.pt.resources
%resgen% Forms\AppointmentRecurrenceForm.pt.resx AppointmentRecurrenceForm.pt.resources
%resgen% Forms\DefineNewStyleForm.pt.resx DefineNewStyleForm.pt.resources
%resgen% Forms\GotoDateForm.pt.resx GotoDateForm.pt.resources
%resgen% Forms\PageSetupForm.pt.resx PageSetupForm.pt.resources
%resgen% Forms\RecurrentAppointmentDeleteForm.pt.resx RecurrentAppointmentDeleteForm.pt.resources
%resgen% Forms\RemindersForm.pt.resx RemindersForm.pt.resources
%resgen% Forms\ShadingSetupForm.pt.resx ShadingSetupForm.pt.resources
%resgen% Forms\TimeRulerForm.pt.resx TimeRulerForm.pt.resources
%al% /out:..\pt\DevExpress.XtraScheduler.%VER_DLL%.Resources.Dll /v:%VER_SCHEDULER% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraScheduler.LocalizationRes.pt.resources /embed:DailyRecurrenceControl.pt.resources,DevExpress.XtraScheduler.UI.DailyRecurrenceControl.pt.resources /embed:MonthlyRecurrenceControl.pt.resources,DevExpress.XtraScheduler.UI.MonthlyRecurrenceControl.pt.resources /embed:PageSetupFormatTabControl.pt.resources,DevExpress.XtraScheduler.Design.PageSetupFormatTabControl.pt.resources /embed:PageSetupPaperTabControl.pt.resources,DevExpress.XtraScheduler.Design.PageSetupPaperTabControl.pt.resources /embed:PrintRangeControl.pt.resources,DevExpress.XtraScheduler.Design.PrintRangeControl.pt.resources /embed:TimeZonePropertiesControl.pt.resources,DevExpress.XtraScheduler.UI.TimeZonePropertiesControl.pt.resources /embed:WeeklyRecurrenceControl.pt.resources,DevExpress.XtraScheduler.UI.WeeklyRecurrenceControl.pt.resources /embed:YearlyRecurrenceControl.pt.resources,DevExpress.XtraScheduler.UI.YearlyRecurrenceControl.pt.resources /embed:CalendarDetailsPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.CalendarDetailsPrintStyleOptionsControl.pt.resources /embed:DailyPrintStyleOptions.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.DailyPrintStyleOptions.pt.resources /embed:MemoPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.MemoPrintStyleOptionsControl.pt.resources /embed:MonthlyPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.MonthlyPrintStyleOptionsControl.pt.resources /embed:picturePreviewControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.picturePreviewControl.pt.resources /embed:PrintStyleOptionsControlBase.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.PrintStyleOptionsControlBase.pt.resources /embed:TimeIntervalEditControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.TimeOfDayIntervalEditControl.pt.resources /embed:TriFoldPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.TriFoldPrintStyleOptionsControl.pt.resources /embed:WeeklyPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.WeeklyPrintStyleOptionsControl.pt.resources /embed:AppointmentForm.pt.resources,DevExpress.XtraScheduler.UI.AppointmentForm.pt.resources /embed:AppointmentRecurrenceForm.pt.resources,DevExpress.XtraScheduler.UI.AppointmentRecurrenceForm.pt.resources /embed:DefineNewStyleForm.pt.resources,DevExpress.XtraScheduler.Forms.DefineNewStylesForm.pt.resources /embed:GotoDateForm.pt.resources,DevExpress.XtraScheduler.UI.GotoDateForm.pt.resources /embed:PageSetupForm.pt.resources,DevExpress.XtraScheduler.Forms.PageSetupForm.pt.resources /embed:RecurrentAppointmentDeleteForm.pt.resources,DevExpress.XtraScheduler.Forms.RecurrentAppointmentDeleteForm.pt.resources /embed:RemindersForm.pt.resources,DevExpress.XtraScheduler.Forms.RemindersForm.pt.resources /embed:ShadingSetupForm.pt.resources,DevExpress.XtraScheduler.Forms.ShadingSetupForm.pt.resources /embed:TimeRulerForm.pt.resources,DevExpress.XtraScheduler.Forms.TimeRulerForm.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraTreeList
%resgen% LocalizationRes.pt.resx
%resgen% PrintDesigner.pt.resx
%al% /out:..\pt\DevExpress.XtraTreeList.%VER_DLL%.Resources.dll /v:%VER_TREELIST% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraTreeList.LocalizationRes.pt.resources /embed:PrintDesigner.pt.resources,DevExpress.XtraTreeList.Frames.TreeListPrinting.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraVerticalGrid
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraVerticalGrid.%VER_DLL%.Resources.dll /v:%VER_VERTG% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraVerticalGrid.Localization.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..